# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.


#' Kibior: R client easing data sharing and analysis with Elasticsearch.
#'
#' Kibior is a Kibio/Elasticsearch client written with R6 class. 
#' Instances of Kibior are object that allow to use Elasticsearch power and execute lots of predefined 
#' requests such as searching in massive amounts of data, joins between in-memory data and Elasticsearch 
#' indices, push and pull data to and from multiples Elasticsearch servers, and more. This little 
#' utilitary was built in the context of massive data invading biology and bioinformatics, but is completely
#' versatile and can be applied to other fields. By adding it to R-scripts, it can perform several 
#' useful tasks such as: saving intermediary results, sharing them with a collaborator, automating 
#' import and upload of lots of files directly, and much more.
#'
#' @docType package
#' @name kibior
NULL
